Subject: Fvwm with OpenVMS

From: [email-masked] (Fabien Villard)
Date: Mon, 25 Jan 1999 11:54:00 +0100

Hello all.

	Finally I got it all work but I had to rewrite the select() code to have
it work nearly as expected by the various uses in fvwm. 
	As stated earlier, I did all the tricks with version 2.1.4 and then 
reported them on 2.1.7, and it did it.
	So here it the quick list of modifications :
		config.h : from config.h.in, specific to VMS port.
		vms.c/vms.h : new sources for VMS port (VMS_msg(), 
VMS_select_pipes(), VMS_SplitCommand())
		fvwm.c : comment fcntl() call on x_fd.
		module.c : comment the closepipes of child process
		           comment the exit() call when exec fails
		misc.c : comment the fvwm_msg function.
		picture.c : add some code to manage the image names.
		fvwmpager.c : new VMS_select_pipes() function create some false 
lost X events. Comment the miss-counter usage.
		fvwmwinlist.c : add an XFlush() call after in the 
RedrawWindows() function.

	Fab.
--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].